package com.hai.config;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.hai.common.security.DESUtil;
import com.hai.common.utils.HttpsUtils;
import com.hai.common.utils.MD5Util;
import org.apache.commons.collections4.MapUtils;

import java.util.Base64;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * 汇联通会员卡业务接口
 */
public class HuiLianTongUnionCardConfig {

    /**
     * 获取token
     * @return
     * @throws Exception
     */
    public static JSONObject getToken() throws Exception {
        Map<String,Object> map = new HashMap<>();
        map.put("accessCode", "6FCAE1470CEF465988351BB65ABAA8AE");
        map.put("requestId", new Date().getTime());
        map.put("method", "qgk/queryCardByMobile");

        String signCode = "F8E91A3C";
        Map<String,Object> dataJson = new HashMap<>();
        dataJson.put("userMobile", "17726395120");
        System.out.println(JSONObject.toJSONString(dataJson));

        map.put("data",  new String(DESUtil.encrypt(JSONObject.toJSONString(dataJson).getBytes(),signCode.getBytes()),"ISO8859-1"));
        System.out.println(MapUtils.getString(map,"data"));

        String str = (MapUtils.getString(map,"accessCode") + signCode) + (MapUtils.getString(map,"requestId") + signCode) + (MapUtils.getString(map,"method") + signCode) + (MapUtils.getString(map,"data") + signCode);
        map.put("sign", MD5Util.encode(str.getBytes()));
       // return HttpsUtils.doPost("http://hltgz.com:4010/api/v2/execute.json", JSON.toJSONString(map));
        return null;
    }


}
